summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2014-04-13 22:35:45 -0700
committerPaul Eggert <eggert@cs.ucla.edu>2014-04-13 22:35:45 -0700
commit6956b278cd1c1584b0dd87823a164e4cf420f6ae (patch)
tree78619b4089b7b804d91b266362d14a8e0b5149b6 /autogen.sh
parent93ca48872e6473db782382fc828e65e6540229d6 (diff)
downloademacs-6956b278cd1c1584b0dd87823a164e4cf420f6ae.tar.gz
* autogen.sh: Use autoreconf's -f option.
Fixes: debbugs:17258
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 6b7c647c4c5..880f21f0fe9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -202,7 +202,8 @@ echo "Your system has the required tools, running autoreconf..."
## Let autoreconf figure out what, if anything, needs doing.
-autoreconf -i -I m4 || exit $?
+## Use autoreconf's -f option in case autoreconf itself has changed.
+autoreconf -f -i -I m4 || exit $?
## Create a timestamp, so that './autogen.sh; make' doesn't
## cause 'make' to needlessly run 'autoheader'.